SDL_HINT_VIDEO_WAYLAND_PREFER_LIBDECOR(3)

NAME
SDL_HINT_VIDEO_WAYLAND_PREFER_LIBDECOR - A variable controlling whether the libdecor Wayland backend is preferred over native decrations.

HEADER FILE
Defined in SDL3/SDL_hints.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_HINT_VIDEO_WAYLAND_PREFER_LIBDECOR SDL_VIDEO_WAYLAND_PREFER_LIBDECOR"

DESCRIPTION
When this hint is set, libdecor will be used to provide window decorations, even if xdg-decoration is available. (Note that, by default, libdecor will use xdg-decoration itself if available). The variable can be set to the following values: • "0": libdecor is enabled only if server-side decorations are unavailable.
  (default) • "1": libdecor is always enabled if available. This hint should be set before SDL is initialized.

AVAILABILITY
This hint is available since SDL 3.0.0.